<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout_top_up_amount"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_color"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/linear_layout_top_up_amount_top"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="vertical"
        android:paddingTop="15dp"
        app:layout_constraintBottom_toTopOf="@+id/linear_layout_top_up_bottom"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_weight="1">

        <include
            android:id="@+id/layout_selected_number"
            layout="@layout/layout_selected_number" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_3x_size"
            android:layout_marginEnd="20dp"
            android:text="@string/top_up_amount_to_active_your_new_phone_number"
            android:textSize="@dimen/small_text_size" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_1x_size"
            android:layout_marginEnd="20dp"
            android:background="@drawable/bg_edit_text_no_stroke"
            android:paddingStart="10dp"
            android:paddingEnd="10dp">

            <com.seatel.mobilehall.util.customview.PrefixEditText
                android:id="@+id/edit_text_amount"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:background="@null"
                android:hint="0"
                android:maxLength="6"
                android:singleLine="true"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_edittext_size"
                tools:ignore="HardcodedText" />

        </RelativeLayout>

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/ctv_note_claim_free_sim"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="@dimen/margin_3x_size"
            android:layout_marginEnd="20dp"
            android:text="@string/select_topup_eligible_delivery_option"
            android:textSize="@dimen/small_text_size"
            android:visibility="gone" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linear_layout_top_up_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:clickable="true"
        android:focusable="true"
        android:gravity="bottom"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linear_layout_top_up_amount_top">

        <include
            android:id="@+id/layout_radio_button_top_up"
            layout="@layout/view_radio_button_top_up" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <View
                android:layout_width="20dp"
                android:layout_height="0dp" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/button_skip"
                android:layout_width="0dp"
                android:layout_height="@dimen/button_height"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:layout_marginEnd="0dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="@string/skip"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size"
                android:visibility="gone" />

            <View
                android:id="@+id/view_space"
                android:layout_width="10dp"
                android:layout_height="0dp"
                android:visibility="gone" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/button_next"
                android:layout_width="0dp"
                android:layout_height="@dimen/button_height"
                android:layout_gravity="center"
                android:layout_marginStart="0dp"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:layout_marginEnd="20dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="@string/next"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size" />

        </LinearLayout>

        <com.seatel.mobilehall.util.customview.CustomKeyboard
            android:id="@+id/keyboard_view_top_up"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            android:paddingStart="18dp"
            android:paddingEnd="18dp"
            android:visibility="gone"
            app:keyBackground="@drawable/bg_button_white" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>